%define anolis_release 1

%undefine _package_note_flags

Name:           ocaml-integers
Version:        0.7.0
Release:        %{anolis_release}%{?dist}
Summary:        Various signed and unsigned integer types for OCaml

License:        MIT
URL:            https://github.com/yallop/ocaml-integers
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# Remove stdlib-shims, which is for older OCaml systems
Patch0:         %{name}-stdlib-shims.patch

BuildRequires:  ocaml >= 4.02
BuildRequires:  ocaml-dune

%description
The ocaml-integers library provides a number of 8-, 16-, 32- and 64-bit
signed and unsigned integer types, together with aliases such as `long`
and `size_t` whose sizes depend on the host platform.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%dune_build

cd _build/default/src
ocamlmklib -g -ldopt "%{build_ldflags}" -o integers_stubs \
  $(ar t libintegers_stubs.a)
cd -

%install
%dune_install
%generate_compatibility_deps

%check
%dune_check

%files -f .ofiles
%license LICENSE.md
%dir %{abidir}
%{abidir}/dllintegers_stubs.dump

%files devel -f .ofiles-devel

%files doc
%doc CHANGES.md README.md

%changelog
* Fri Mar 24 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.7.0-1
- Init from upstream
